﻿using CoreGraphics;
using Foundation;
using Syncfusion.SfRotator.iOS;
using System;
using UIKit;

namespace RotatorTestApp
{
    public partial class ViewController : UIViewController
    {

        SfRotator rotator;
        NSMutableArray collection;
        UILabel indexLabel;
		public ViewController (IntPtr handle) : base (handle)
		{
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
            // Perform any additional setup after loading the view, typically from a nib.
            collection = new NSMutableArray();

            indexLabel = new UILabel();
            indexLabel.Frame = new CGRect(10,340,this.View.Frame.Width,60);
            

            rotator = new SfRotator();
            rotator.Frame = new CGRect(0,10,this.View.Frame.Width,300);
            indexLabel.Text = "Rotator SelectedIndex is: 0";

            for (int i = 0;i<5;i++)
            {
                SfRotatorItem item = new SfRotatorItem();
                item.View = new UILabel() { Frame = rotator.Frame, Text = "SfRotatorItem " + i };
                collection.Add(item);
            }

            rotator.DataSource = collection;
            rotator.SelectionChanged += Rotator_SelectionChanged;
            this.Add(rotator);
            this.Add(indexLabel);
		}

        private void Rotator_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            indexLabel.Text = "Rotator SelectedIndex is: " + rotator.SelectedIndex;//e.Index also can be used
        }

        public override void DidReceiveMemoryWarning ()
		{
			base.DidReceiveMemoryWarning ();
			// Release any cached data, images, etc that aren't in use.
		}
    }
}